/*
 ķ
   Program..: XDMAIN.PRG                            
   Author...: Roger J. Donnay                       
   Notice...: (c) DONNAY Software Designs 1987-1998 
   Date.....: Jun 10, 1998                          
   Notes....: eXPress++ Documentor main startup     
 Ľ

 Must compile with /N/W

*/

#include 'common.ch'
#include 'std.ch'
#include 'inkey.ch'
#include 'set.ch'
#include "xbp.ch"

FUNCTION Main ( cParam1, cParam2 )

  IF ! DC_DbeLoad( "CDXDBE",.T.)
     Alert( "Database-Engine CDXDBE not loaded" , {"OK"} )
  ENDIF

  IF ! DC_DbeBuild( "DBFCDX", "DBFDBE", "CDXDBE" )
     Alert( "DBFCDX Database-Engine;Could not build engine" , {"OK"} )
  ENDIF

  IF ! DC_DbeLoad( "FOXDBE",.T.)
     Alert( "Database-Engine FOXDBE not loaded" , {"OK"} )
  ENDIF

  IF ! DC_DbeBuild( "FOXCDX", "FOXDBE", "CDXDBE" )
     Alert( "FOXCDX Database-Engine;Could not build engine" , {"OK"} )
  ENDIF

XDoc()

RETURN nil

/* ------------- */

PROCEDURE AppSys()

  LOCAL oCrt, nAppType := AppType()

  DO CASE

    CASE .t.

    // PM Mode: create an XbpCrt instance
    CASE nAppType == APPTYPE_PM

      // First active SetAppWindow() == Desktop
      AppDesktop ( SetAppWindow() )

      // Create XbpCRT object
      oCrt := XbpCrt():New ( NIL, NIL, { 0, 0 }, 25, 80 )
      oCrt:FontWidth  := 8
      oCrt:FontHeight := 16
      oCrt:FontName   := "Alaska Crt"
      oCrt:Title      := "eXPress++ 1.0 Alpha 1.00"
      oCrt:Create()

      // Init Presentation Space
      oCrt:PresSpace()

      // XbpCrt gets active window and output device
      SetAppWindow ( oCrt )

  ENDCASE

RETURN

* ------------------

FUNCTION DC_DbeLoad( cDbe, lHidden )

IF AScan( dbeList(), {|a|Upper(a[1])==Upper(cDbe)}) == 0
  RETURN DbeLoad( cDbe, lHidden )
ENDIF

RETURN .t.

* ------------------

FUNCTION DC_DbeBuild( cCompoundDBE, cDataDBE, cOrderDBE, cRelationDBE, cDictionaryDBE )

IF AScan( dbeList(), {|a|Upper(a[1])==Upper(cCompoundDbe)}) == 0
  RETURN DbeBuild( cCompoundDBE, cDataDBE, cOrderDBE, cRelationDBE, cDictionaryDBE )
ENDIF

RETURN .t.


